### Constructor

# GSSDP.Client.new

#### Declaration [src]

    GSSDPClient*
    gssdp_client_new (
      const char* iface,
      GError** error
    )

#### Description [src]

Creates a GSSDP client on `iface`. GSSDPClient will pick the address it finds suitable for using.

Using this utility function, the created client will be using UDA 1.0 and IPv4 only.

Deprecated since: | 1.6.
Use `gssdp_client_new_for_address()` instead.

#### Parameters

`iface` | `const char*`
| The name of the network interface, or `NULL` for auto-detection.
| Can be `NULL`
| The data is owned by the caller of the function
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GSSDPClient`
A new `GSSDPClient` object.
The caller of the function takes ownership of the data, and is responsible for freeing it
Can be `NULL`